Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.vector/org.gvsig.view3d.vector.lib/org.gvsig.view3d.vector.lib.impl/src/main/java/org/gvsig/view3d/vector/lib/impl/extrusion/DefaultVectorExtrusionPointRenderableLayer.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.vector/org.gvsig.view3d.vector.lib/org.gvsig.view3d.vector.lib.impl/src/main/java/org/gvsig/view3d/vector/lib/impl/extrusion/DefaultVectorExtrusionPointRenderableLayer.java	(revision 762)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.vector/org.gvsig.view3d.vector.lib/org.gvsig.view3d.vector.lib.impl/src/main/java/org/gvsig/view3d/vector/lib/impl/extrusion/DefaultVectorExtrusionPointRenderableLayer.java	(revision 763)
@@ -94,10 +94,7 @@
 
     @Override
     protected FeatureQuery getFeatureQuery() throws DataException {
-        FeatureType featureType = featureStore.getDefaultFeatureType();
-        String geomAtt = featureType.getDefaultGeometryAttributeName();
-        FeatureQuery featureQuery = featureStore.createFeatureQuery();
-        featureQuery.addAttributeName(geomAtt);
+        FeatureQuery featureQuery = super.getFeatureQuery();
         // Add field height to feature query
         String fieldHeight = ((VectorExtrusionLoaderParameters) parameters).getHeightField();
         if (StringUtils.isNotBlank(fieldHeight)) {
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.vector/org.gvsig.view3d.vector.lib/org.gvsig.view3d.vector.lib.impl/src/main/java/org/gvsig/view3d/vector/lib/impl/vector/DefeaultVectorPointRenderableLayer.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.vector/org.gvsig.view3d.vector.lib/org.gvsig.view3d.vector.lib.impl/src/main/java/org/gvsig/view3d/vector/lib/impl/vector/DefeaultVectorPointRenderableLayer.java	(revision 762)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.vector/org.gvsig.view3d.vector.lib/org.gvsig.view3d.vector.lib.impl/src/main/java/org/gvsig/view3d/vector/lib/impl/vector/DefeaultVectorPointRenderableLayer.java	(revision 763)
@@ -81,15 +81,6 @@
         return marker;
     }
 
-    @Override
-    protected FeatureQuery getFeatureQuery() throws DataException {
-        FeatureType featureType = featureStore.getDefaultFeatureType();
-        String geomAtt = featureType.getDefaultGeometryAttributeName();
-        FeatureQuery featureQuery = featureStore.createFeatureQuery();
-        featureQuery.addAttributeName(geomAtt);
-        return featureQuery;
-    }
-    
     private PointPlacemarkAttributes getBasicMarkerAttributes(IVectorLegend legend) {
 
         if (this.markAttributes != null) {
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.vector/org.gvsig.view3d.vector.lib/org.gvsig.view3d.vector.lib.impl/src/main/java/org/gvsig/view3d/vector/lib/impl/AbstractRenderableLayer.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.vector/org.gvsig.view3d.vector.lib/org.gvsig.view3d.vector.lib.impl/src/main/java/org/gvsig/view3d/vector/lib/impl/AbstractRenderableLayer.java	(revision 762)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.vector/org.gvsig.view3d.vector.lib/org.gvsig.view3d.vector.lib.impl/src/main/java/org/gvsig/view3d/vector/lib/impl/AbstractRenderableLayer.java	(revision 763)
@@ -12,6 +12,7 @@
 import org.gvsig.fmap.dal.feature.FeatureQuery;
 import org.gvsig.fmap.dal.feature.FeatureSet;
 import org.gvsig.fmap.dal.feature.FeatureStore;
+import org.gvsig.fmap.dal.feature.FeatureType;
 import org.gvsig.tools.dispose.DisposableIterator;
 import org.gvsig.view3d.vector.lib.api.VectorElevationMode;
 import org.gvsig.view3d.vector.lib.api.VectorLoaderParameters;
@@ -91,8 +92,14 @@
                 "Vector elevation mode not reconized. Only CLAMP_TO_GROUND, ABSOLUTE and RELATIVE_TO_GROUND are valid");
         }
     }
+    
+    protected FeatureQuery getFeatureQuery() throws DataException {
+        FeatureType featureType = featureStore.getDefaultFeatureType();
+        String geomAtt = featureType.getDefaultGeometryAttributeName();
+        FeatureQuery featureQuery = featureStore.createFeatureQuery();
+        featureQuery.addAttributeName(geomAtt);
+        return featureQuery;
+    }
 
     protected abstract List<Renderable> getRenderable(Feature feature);
-
-    protected abstract FeatureQuery getFeatureQuery() throws DataException;
 }