Index: org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.lib/pom.xml
===================================================================
--- org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.lib/pom.xml	(revision 808)
+++ org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.lib/pom.xml	(revision 809)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.topology</artifactId>
-    <version>1.0.3</version>
+    <version>1.0.4-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.topology.lib</artifactId>
   <packaging>pom</packaging>
Index: org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.lib/org.gvsig.topology.lib.api/pom.xml
===================================================================
--- org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.lib/org.gvsig.topology.lib.api/pom.xml	(revision 808)
+++ org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.lib/org.gvsig.topology.lib.api/pom.xml	(revision 809)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.topology.lib</artifactId>
-    <version>1.0.3</version>
+    <version>1.0.4-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.topology.lib.api</artifactId>
   <name>${project.artifactId}</name>
Index: org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.lib/org.gvsig.topology.lib.impl/pom.xml
===================================================================
--- org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.lib/org.gvsig.topology.lib.impl/pom.xml	(revision 808)
+++ org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.lib/org.gvsig.topology.lib.impl/pom.xml	(revision 809)
@@ -3,7 +3,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.topology.lib</artifactId>
-        <version>1.0.3</version>
+        <version>1.0.4-SNAPSHOT</version>
     </parent>
     <artifactId>org.gvsig.topology.lib.impl</artifactId>
     <name>${project.artifactId}</name>
Index: org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.impl/pom.xml
===================================================================
--- org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.impl/pom.xml	(revision 808)
+++ org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.impl/pom.xml	(revision 809)
@@ -3,7 +3,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.topology.swing</artifactId>
-        <version>1.0.3</version>
+        <version>1.0.4-SNAPSHOT</version>
     </parent>
     <artifactId>org.gvsig.topology.swing.impl</artifactId>
     <name>${project.artifactId}</name>
Index: org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/pom.xml
===================================================================
--- org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/pom.xml	(revision 808)
+++ org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/pom.xml	(revision 809)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.topology</artifactId>
-    <version>1.0.3</version>
+    <version>1.0.4-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.topology.swing</artifactId>
   <packaging>pom</packaging>
Index: org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.api/pom.xml
===================================================================
--- org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.api/pom.xml	(revision 808)
+++ org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.api/pom.xml	(revision 809)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.topology.swing</artifactId>
-    <version>1.0.3</version>
+    <version>1.0.4-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.topology.swing.api</artifactId>
   <name>${project.artifactId}</name>
Index: org.gvsig.topology/trunk/org.gvsig.topology/pom.xml
===================================================================
--- org.gvsig.topology/trunk/org.gvsig.topology/pom.xml	(revision 808)
+++ org.gvsig.topology/trunk/org.gvsig.topology/pom.xml	(revision 809)
@@ -6,7 +6,7 @@
         <version>2.0.235</version>
     </parent>
     <artifactId>org.gvsig.topology</artifactId>
-    <version>1.0.3</version>
+    <version>1.0.4-SNAPSHOT</version>
     <packaging>pom</packaging>
     <name>${project.artifactId}</name>
 
@@ -20,9 +20,9 @@
     </distributionManagement>
   
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-projects-pool/org.gvsig.topology/tags/org.gvsig.topology-1.0.3</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-projects-pool/org.gvsig.topology/tags/org.gvsig.topology-1.0.3</developerConnection>
-        <url>https://devel.gvsig.org/svn/gvsig-projects-pool/org.gvsig.topology/tags/org.gvsig.topology-1.0.3</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-projects-pool/${project.artifactId}/trunk/${project.artifactId}</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-projects-pool/${project.artifactId}/trunk/${project.artifactId}</developerConnection>
+        <url>https://devel.gvsig.org/svn/gvsig-projects-pool/${project.artifactId}/trunk/${project.artifactId}</url>
     </scm>
 
     <developers>
@@ -74,27 +74,27 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.topology.app.mainplugin</artifactId>
-                <version>1.0.3</version>
+                <version>1.0.4-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.topology.lib.api</artifactId>
-                <version>1.0.3</version>
+                <version>1.0.4-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.topology.lib.impl</artifactId>
-                <version>1.0.3</version>
+                <version>1.0.4-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.topology.swing.api</artifactId>
-                <version>1.0.3</version>
+                <version>1.0.4-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.topology.swing.impl</artifactId>
-                <version>1.0.3</version>
+                <version>1.0.4-SNAPSHOT</version>
             </dependency>
         </dependencies>
     </dependencyManagement>
Index: org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.app/org.gvsig.topology.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.app/org.gvsig.topology.app.mainplugin/pom.xml	(revision 808)
+++ org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.app/org.gvsig.topology.app.mainplugin/pom.xml	(revision 809)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.topology.app</artifactId>
-    <version>1.0.3</version>
+    <version>1.0.4-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.topology.app.mainplugin</artifactId>
   <name>${project.artifactId}</name>
Index: org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.app/pom.xml
===================================================================
--- org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.app/pom.xml	(revision 808)
+++ org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.app/pom.xml	(revision 809)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.topology</artifactId>
-    <version>1.0.3</version>
+    <version>1.0.4-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.topology.app</artifactId>
   <packaging>pom</packaging>