Index: CrsSelectorComponent.java
===================================================================
--- CrsSelectorComponent.java	(revision 853)
+++ CrsSelectorComponent.java	(revision 854)
@@ -19,10 +19,12 @@
 import javax.swing.tree.TreePath;
 import javax.swing.tree.TreeSelectionModel;
 
+import org.apache.commons.io.FilenameUtils;
 import org.gvsig.proj.CoordinateReferenceSystem;
 import org.gvsig.proj.catalog.CRSDefinition;
 import org.gvsig.proj.catalog.CRSType;
 import org.gvsig.proj.catalog.exception.UnsupportedCoordinateReferenceSystemException;
+import org.gvsig.proj.catalog.extent.GeographicBoundingBox;
 import org.gvsig.proj.swing.CoordinateReferenceSystemSelectorComponent;
 import org.gvsig.proj.swing.impl.tree.AsyncLoadedGroup;
 import org.gvsig.proj.swing.impl.tree.BranchNode;
@@ -33,9 +35,13 @@
 import org.gvsig.proj.swing.impl.tree.LeafNode;
 import org.gvsig.proj.swing.impl.tree.LoadingNode;
 import org.gvsig.proj.swing.impl.tree.TreeContainer;
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.i18n.I18nManager;
 import org.gvsig.tools.swing.api.ActionListenerSupport;
 import org.gvsig.tools.swing.api.Component;
 import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.api.ToolsSwingManager;
+import org.gvsig.tools.swing.icontheme.IconTheme;
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 
@@ -56,9 +62,14 @@
 	protected DefaultTreeModel model;
 	protected BranchNode root;
 	protected RecentCRSs recent;
+	protected IconTheme iconTheme = null;
+	protected I18nManager i18nManager = null;
+	final protected DefaultCoordinateReferenceSystemSwingManager manager;
+
 	
 	public CrsSelectorComponent(DefaultCoordinateReferenceSystemSwingManager manager) {
-		super(manager);
+		super();
+		this.manager = manager;
 		initIcons();
 		initComponents();
 		initTree();
@@ -68,17 +79,49 @@
 	
 	@Override
 	public ImageIcon loadImage( String imageName ) {
-		if (imageName.toLowerCase().endsWith(".png") || imageName.toLowerCase().endsWith(".gif")) {
-			return this.manager.getIconTheme().get(imageName.substring(0, (imageName.length()-4)));
+		return getIconTheme().get(FilenameUtils.getBaseName(imageName));
+	}
+	
+	private IconTheme getIconTheme() {
+		if (iconTheme == null) {
+			iconTheme = ToolsSwingLocator.getIconThemeManager().getCurrent();
 		}
-		return this.manager.getIconTheme().get(imageName);
+		return iconTheme;
 	}
 	
+	private I18nManager getI18nManager() {
+		if (i18nManager == null) {
+			i18nManager = ToolsLocator.getI18nManager();
+		}
+		return i18nManager;
+	}
+	
+	
 	protected void initComponents() {
+		ToolsSwingManager swingManager = ToolsSwingLocator.getToolsSwingManager();
 		// hide spatial filter since it is currently not supported
 		this.btnFilterDropdown.setVisible(false);
 		this.pnl_filterType.setVisible(false);
 		this.cboFilterSpatial.setVisible(false);
+
+		swingManager.translate(this.btnSearch);
+		swingManager.translate(this.btnSearchRemove);
+		swingManager.translate(this.btnFavoritesAdd);
+		swingManager.translate(this.btnFavoritesAdd1);
+		swingManager.translate(this.btnCrsAdd);
+		swingManager.translate(this.btnFavoritesAdd2);
+		swingManager.translate(this.lbl_currentCrs);
+		swingManager.translate(this.btnFavoritesAdd2);
+		
+	    this.jtxt_description.setEditable(false);
+		this.jtxt_description.setText("");
+		this.jtxt_description.setLineWrap(true);
+		this.jtxt_description.setWrapStyleWord(true);
+		this.txtCrsWkt.setEditable(false);
+		this.txtCrsWkt.setText("");		
+		/**
+		 * TODO Update strings in CrsPanel and change the name of some components
+		 *
 		this.btnSearch.setToolTipText(manager.getTranslation("Search"));
 	    this.btnSearchRemove.setToolTipText(manager.getTranslation("Clear search"));
 	    this.btnFavoritesAdd.setToolTipText(manager.getTranslation("Add selected CRS to favorites"));
@@ -92,14 +135,12 @@
 		this.jtxt_description.setWrapStyleWord(true);
 		this.txtCrsWkt.setEditable(false);
 		this.txtCrsWkt.setText("");
+		*/
 	}
 	
 	protected void search() {
 		String filter = getAlphanumericFilter();
-		//this.cboFilterAlpha.removei
-		//this.cboFilterAlpha.insertItemAt(filter, 0);
 		if (filter != null && !filter.equals("")) {
-			//this.cboFilterAlpha.addItem(filter);
 			manager.getCoordinateReferenceSystemTextFilterHistory().add(filter);
 		}
 		for (int i=0; i<root.getChildCount(); i++) {
@@ -210,12 +251,12 @@
 	}
 	
 	protected void initIcons() {
-		RECENT_ICON = manager.getIconTheme().get("recent");
-		FAVOURITE_ICON = manager.getIconTheme().get("favourite");
-		FOLDER_OPEN_ICON = manager.getIconTheme().get("folder_open");
-		FOLDER_CLOSED_ICON = manager.getIconTheme().get("folder_closed");
-		CRS_ICON = manager.getIconTheme().get("crs");
-		LOADING_ICON = manager.getIconTheme().get("spinner");
+		RECENT_ICON = getIconTheme().get("recent");
+		FAVOURITE_ICON = getIconTheme().get("favourite");
+		FOLDER_OPEN_ICON = getIconTheme().get("folder_open");
+		FOLDER_CLOSED_ICON = getIconTheme().get("folder_closed");
+		CRS_ICON = getIconTheme().get("crs");
+		LOADING_ICON = getIconTheme().get("spinner");
 	}
 	
 	protected void initTree() {
@@ -223,34 +264,32 @@
 		model = new DefaultTreeModel(root, false);
 		
 		JTree tree = this.treeResults;
-		
-		
 		tree.getSelectionModel().setSelectionMode
         	(TreeSelectionModel.SINGLE_TREE_SELECTION);
 		listenerSupport = ToolsSwingLocator.getToolsSwingManager().createActionListenerSupport();
 		tree.addTreeSelectionListener(this);
 		tree.setCellRenderer(new CellRenderer());
 		
-		recent = new RecentCRSs(root, manager.getTranslation("Recent"));
+		recent = new RecentCRSs(root, getI18nManager().getTranslation("Recent"));
 		recent.loadChildren();
 		
 		root.add(recent);
-		BranchNode epsg = new BranchNode(root, this, manager.getTranslation("EPSG"));
+		BranchNode epsg = new BranchNode(root, this, getI18nManager().getTranslation("EPSG"));
 		root.add(epsg);
 		CRSSearchFilter projectedCRSs = new CRSSearchFilter();
 		projectedCRSs.setAuthority("EPSG");
 		projectedCRSs.setIncludedTypes(new CRSType[]{CRSType.ProjectedCRSType});
-		epsg.add(new AuthorityLoadedGroup(epsg, projectedCRSs, manager.getTranslation("Projected")));
+		epsg.add(new AuthorityLoadedGroup(epsg, projectedCRSs, getI18nManager().getTranslation("Projected")));
 		
 		CRSSearchFilter geographicCRSs = new CRSSearchFilter();
 		geographicCRSs.setAuthority("EPSG");
 		geographicCRSs.setIncludedTypes(new CRSType[]{CRSType.GeographicCRSType});
-		epsg.add(new AuthorityLoadedGroup(epsg, geographicCRSs, manager.getTranslation("Geographic")));
+		epsg.add(new AuthorityLoadedGroup(epsg, geographicCRSs, getI18nManager().getTranslation("Geographic")));
 
 		CRSSearchFilter otherCRSs = new CRSSearchFilter();
 		otherCRSs.setAuthority("EPSG");
 		otherCRSs.setExcludedTypes(new CRSType[]{CRSType.ProjectedCRSType, CRSType.GeographicCRSType});
-		epsg.add(new AuthorityLoadedGroup(epsg, otherCRSs, manager.getTranslation("Other")));
+		epsg.add(new AuthorityLoadedGroup(epsg, otherCRSs, getI18nManager().getTranslation("Other")));
 		tree.setModel(model);
 		
 		tree.expandPath(new TreePath(model.getPathToRoot(epsg)));
@@ -309,7 +348,7 @@
 	}
 
 	@Override
-	public void addCRSSpatialFilter(String label, double minLon, double maxLon, double minLat, double maxLat) {
+	public void addCRSSpatialFilter(String label, GeographicBoundingBox boundingBox) {
 		// TODO Auto-generated method stub
 	}
 
@@ -423,7 +462,7 @@
 	public LoadingNode createLoadingNode(BranchNode parent) {
 		return new LoadingNode(parent,
 				this,
-				this.manager.getTranslation("Loading..."));
+				getI18nManager().getTranslation("Loading..."));
 	}
 
 