Index: org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.lib/pom.xml
===================================================================
--- org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.lib/pom.xml	(revision 855)
+++ org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.lib/pom.xml	(revision 856)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.proj</artifactId>
-		<version>1.0.5-SNAPSHOT</version>
+		<version>3.0.0-SNAPSHOT</version>
 	</parent>
 
 	<build>
Index: org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.lib/org.gvsig.proj.lib.api/pom.xml
===================================================================
--- org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.lib/org.gvsig.proj.lib.api/pom.xml	(revision 855)
+++ org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.lib/org.gvsig.proj.lib.api/pom.xml	(revision 856)
@@ -7,7 +7,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.proj.lib</artifactId>
-        <version>1.0.5-SNAPSHOT</version>
+        <version>3.0.0-SNAPSHOT</version>
     </parent>
 	
     <dependencies>
Index: org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.swing/pom.xml
===================================================================
--- org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.swing/pom.xml	(revision 855)
+++ org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.swing/pom.xml	(revision 856)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.proj</artifactId>
-		<version>1.0.5-SNAPSHOT</version>
+		<version>3.0.0-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.swing/org.gvsig.proj.swing.api/pom.xml
===================================================================
--- org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.swing/org.gvsig.proj.swing.api/pom.xml	(revision 855)
+++ org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.swing/org.gvsig.proj.swing.api/pom.xml	(revision 856)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.proj.swing</artifactId>
-		<version>1.0.5-SNAPSHOT</version>
+		<version>3.0.0-SNAPSHOT</version>
 	</parent>
 
 	<dependencies>
Index: org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.swing/org.gvsig.proj.swing.impl/pom.xml
===================================================================
--- org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.swing/org.gvsig.proj.swing.impl/pom.xml	(revision 855)
+++ org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.swing/org.gvsig.proj.swing.impl/pom.xml	(revision 856)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.proj.swing</artifactId>
-		<version>1.0.5-SNAPSHOT</version>
+		<version>3.0.0-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.catalog/pom.xml
===================================================================
--- org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.catalog/pom.xml	(revision 855)
+++ org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.catalog/pom.xml	(revision 856)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.proj</artifactId>
-		<version>1.0.5-SNAPSHOT</version>
+		<version>3.0.0-SNAPSHOT</version>
 	</parent>
 
 	<build>
Index: org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.catalog/org.gvsig.proj.catalog.api/pom.xml
===================================================================
--- org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.catalog/org.gvsig.proj.catalog.api/pom.xml	(revision 855)
+++ org.gvsig.proj/branches/refactor2018/org.gvsig.proj/org.gvsig.proj.catalog/org.gvsig.proj.catalog.api/pom.xml	(revision 856)
@@ -7,7 +7,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.proj.catalog</artifactId>
-        <version>1.0.5-SNAPSHOT</version>
+        <version>3.0.0-SNAPSHOT</version>
     </parent>
 	
     <dependencies>
Index: org.gvsig.proj/branches/refactor2018/org.gvsig.proj/pom.xml
===================================================================
--- org.gvsig.proj/branches/refactor2018/org.gvsig.proj/pom.xml	(revision 855)
+++ org.gvsig.proj/branches/refactor2018/org.gvsig.proj/pom.xml	(revision 856)
@@ -3,7 +3,7 @@
     <modelVersion>4.0.0</modelVersion>
     <artifactId>org.gvsig.proj</artifactId>
     <packaging>pom</packaging>
-    <version>1.0.5-SNAPSHOT</version>
+    <version>3.0.0-SNAPSHOT</version>
     <name>${project.artifactId}</name>
     <description>Coordinate reference system management library</description>
 
@@ -160,63 +160,58 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.proj.lib</artifactId>
-                <version>1.0.5-SNAPSHOT</version>
+                <version>${project.version}</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
-                <artifactId>org.gvsig.proj.main</artifactId>
-                <version>1.0.1-SNAPSHOT</version>
-            </dependency>
-            <dependency>
-                <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.proj.swing</artifactId>
-                <version>1.0.5-SNAPSHOT</version>
+                <version>${project.version}</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.proj.lib.api</artifactId>
-                <version>1.0.5-SNAPSHOT</version>
+                <version>${project.version}</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.proj.lib.api</artifactId>
-                <version>1.0.5-SNAPSHOT</version>
+                <version>${project.version}</version>
                 <type>test-jar</type>
                 <scope>test</scope>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.proj.catalog.api</artifactId>
-                <version>1.0.5-SNAPSHOT</version>
+                <version>${project.version}</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.proj.catalog.api</artifactId>
-                <version>1.0.5-SNAPSHOT</version>
+                <version>${project.version}</version>
                 <type>test-jar</type>
                 <scope>test</scope>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.proj.swing.api</artifactId>
-                <version>1.0.5-SNAPSHOT</version>
+                <version>${project.version}</version>
             </dependency>	        
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.proj.swing.api</artifactId>
-                <version>1.0.5-SNAPSHOT</version>
+                <version>${project.version}</version>
                 <type>test-jar</type>
                 <scope>test</scope>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.proj.swing.impl</artifactId>
-                <version>1.0.5-SNAPSHOT</version>
+                <version>${project.version}</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.lib</artifactId>
-                <version>3.0.145</version>
+                <version>${gvsig.tools.version}</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>