Index: CrsSelectorView.java
===================================================================
--- CrsSelectorView.java	(revision 865)
+++ CrsSelectorView.java	(revision 866)
@@ -25,6 +25,12 @@
 {
    JPanel mainPanel = new JPanel();
    JLabel lblCurrentCrs = new JLabel();
+   JTree treeResults = new JTree();
+   JTabbedPane pnlDetails = new JTabbedPane();
+   JPanel DescriptionTab = new JPanel();
+   JTextArea txtDescription = new JTextArea();
+   JPanel WktTab = new JPanel();
+   JTextArea txtCrsWkt = new JTextArea();
    JPanel pnl_filter = new JPanel();
    JButton btnSearch = new JButton();
    JButton btnSearchRemove = new JButton();
@@ -35,17 +41,11 @@
    JPanel pnl_filterType = new JPanel();
    JLabel lblFilterAlpha = new JLabel();
    JLabel lblFilterSpatial = new JLabel();
-   JTree treeResults = new JTree();
    JPanel grd_buttonBar = new JPanel();
    JButton btnFavoritesAdd = new JButton();
    JButton btnFavoritesRemove = new JButton();
    JButton btnCrsAdd = new JButton();
    JButton btnRecentCrsRemove = new JButton();
-   JTabbedPane DetailsPanel = new JTabbedPane();
-   JPanel DescriptionTab = new JPanel();
-   JTextArea txtDescription = new JTextArea();
-   JPanel WktTab = new JPanel();
-   JTextArea txtCrsWkt = new JTextArea();
 
    /**
     * Default constructor
@@ -145,7 +145,6 @@
       lblCurrentCrs.setText("Current coordinate system:");
       mainPanel.add(lblCurrentCrs,cc.xy(2,8));
 
-      mainPanel.add(createpnl_filter(),cc.xy(2,2));
       treeResults.setLargeModel(true);
       treeResults.setName("treeResults");
       treeResults.setRootVisible(false);
@@ -156,17 +155,60 @@
       jscrollpane1.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
       mainPanel.add(jscrollpane1,cc.xy(2,4));
 
-      mainPanel.add(creategrd_buttonBar(),cc.xy(2,6));
-      DetailsPanel.setName("DetailsPanel");
-      DetailsPanel.setTabPlacement(JTabbedPane.BOTTOM);
-      DetailsPanel.addTab("Description",null,createDescriptionTab());
-      DetailsPanel.addTab("WKT",null,createWktTab());
-      mainPanel.add(DetailsPanel,cc.xy(2,10));
+      pnlDetails.setName("pnlDetails");
+      pnlDetails.setTabPlacement(JTabbedPane.BOTTOM);
+      pnlDetails.addTab("Description",null,createDescriptionTab());
+      pnlDetails.addTab("WKT",null,createWktTab());
+      mainPanel.add(pnlDetails,cc.xy(2,10));
 
+      mainPanel.add(createpnl_filter(),cc.xy(2,2));
+      mainPanel.add(creategrd_buttonBar(),cc.xy(2,6));
       addFillComponents(mainPanel,new int[]{ 1,2,3 },new int[]{ 1,2,3,4,5,6,7,8,9,10,11 });
       return mainPanel;
    }
 
+   public JPanel createDescriptionTab()
+   {
+      DescriptionTab.setName("DescriptionTab");
+      FormLayout formlayout1 = new FormLayout("FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE","CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE");
+      CellConstraints cc = new CellConstraints();
+      DescriptionTab.setLayout(formlayout1);
+
+      txtDescription.setName("txtDescription");
+      txtDescription.setRows(4);
+      txtDescription.setSelectionEnd(74);
+      txtDescription.setSelectionStart(74);
+      txtDescription.setText("Aqui vendria la informacion que tiene la descripcion del CRS del catalogo.");
+      JScrollPane jscrollpane1 = new JScrollPane();
+      jscrollpane1.setViewportView(txtDescription);
+      jscrollpane1.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
+      jscrollpane1.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
+      DescriptionTab.add(jscrollpane1,cc.xy(2,2));
+
+      addFillComponents(DescriptionTab,new int[]{ 1,2,3 },new int[]{ 1,2,3 });
+      return DescriptionTab;
+   }
+
+   public JPanel createWktTab()
+   {
+      WktTab.setName("WktTab");
+      FormLayout formlayout1 = new FormLayout("FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE","CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE");
+      CellConstraints cc = new CellConstraints();
+      WktTab.setLayout(formlayout1);
+
+      txtCrsWkt.setLineWrap(true);
+      txtCrsWkt.setName("txtCrsWkt");
+      txtCrsWkt.setRows(4);
+      JScrollPane jscrollpane1 = new JScrollPane();
+      jscrollpane1.setViewportView(txtCrsWkt);
+      jscrollpane1.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
+      jscrollpane1.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
+      WktTab.add(jscrollpane1,cc.xy(2,2));
+
+      addFillComponents(WktTab,new int[]{ 1,2,3 },new int[]{ 1,2,3 });
+      return WktTab;
+   }
+
    public JPanel createpnl_filter()
    {
       pnl_filter.setName("pnl_filter");
@@ -174,21 +216,18 @@
       CellConstraints cc = new CellConstraints();
       pnl_filter.setLayout(formlayout1);
 
-      btnSearch.setIcon(loadImage("search.png"));
       btnSearch.setName("btnSearch");
       btnSearch.setToolTipText("Search");
       EmptyBorder emptyborder1 = new EmptyBorder(2,2,2,2);
       btnSearch.setBorder(emptyborder1);
       pnl_filter.add(btnSearch,cc.xy(6,1));
 
-      btnSearchRemove.setIcon(loadImage("search_remove.png"));
       btnSearchRemove.setName("btnSearchRemove");
       btnSearchRemove.setToolTipText("Clear search");
       EmptyBorder emptyborder2 = new EmptyBorder(2,2,2,2);
       btnSearchRemove.setBorder(emptyborder2);
       pnl_filter.add(btnSearchRemove,cc.xy(8,1));
 
-      btnFilterDropdown.setIcon(loadImage("dropdown.png"));
       btnFilterDropdown.setName("btnFilterDropdown");
       EmptyBorder emptyborder3 = new EmptyBorder(2,2,2,2);
       btnFilterDropdown.setBorder(emptyborder3);
@@ -230,13 +269,11 @@
       CellConstraints cc = new CellConstraints();
       pnl_filterType.setLayout(formlayout1);
 
-      lblFilterAlpha.setIcon(loadImage("filter_alpha.png"));
       lblFilterAlpha.setName("lblFilterAlpha");
       EmptyBorder emptyborder1 = new EmptyBorder(2,2,2,2);
       lblFilterAlpha.setBorder(emptyborder1);
       pnl_filterType.add(lblFilterAlpha,cc.xy(1,1));
 
-      lblFilterSpatial.setIcon(loadImage("filter_spatial.png"));
       lblFilterSpatial.setName("lblFilterSpatial");
       EmptyBorder emptyborder2 = new EmptyBorder(2,2,2,2);
       lblFilterSpatial.setBorder(emptyborder2);
@@ -253,28 +290,24 @@
       CellConstraints cc = new CellConstraints();
       grd_buttonBar.setLayout(formlayout1);
 
-      btnFavoritesAdd.setIcon(loadImage("favourite_add.png"));
       btnFavoritesAdd.setName("btnFavoritesAdd");
       btnFavoritesAdd.setToolTipText("Add selected CRS to favorites");
       EmptyBorder emptyborder1 = new EmptyBorder(2,2,2,2);
       btnFavoritesAdd.setBorder(emptyborder1);
       grd_buttonBar.add(btnFavoritesAdd,cc.xy(8,1));
 
-      btnFavoritesRemove.setIcon(loadImage("favourite_remove.png"));
       btnFavoritesRemove.setName("btnFavoritesRemove");
       btnFavoritesRemove.setToolTipText("Remove selected CRS from favorites");
       EmptyBorder emptyborder2 = new EmptyBorder(2,2,2,2);
       btnFavoritesRemove.setBorder(emptyborder2);
       grd_buttonBar.add(btnFavoritesRemove,cc.xy(6,1));
 
-      btnCrsAdd.setIcon(loadImage("crs_add.png"));
       btnCrsAdd.setName("btnCrsAdd");
       btnCrsAdd.setToolTipText("Create a new CRS");
       EmptyBorder emptyborder3 = new EmptyBorder(2,2,2,2);
       btnCrsAdd.setBorder(emptyborder3);
       grd_buttonBar.add(btnCrsAdd,cc.xy(2,1));
 
-      btnRecentCrsRemove.setIcon(loadImage("recent_remove.png"));
       btnRecentCrsRemove.setName("btnRecentCrsRemove");
       btnRecentCrsRemove.setToolTipText("Remove selected CRS from recents");
       EmptyBorder emptyborder4 = new EmptyBorder(2,2,2,2);
@@ -285,48 +318,6 @@
       return grd_buttonBar;
    }
 
-   public JPanel createDescriptionTab()
-   {
-      DescriptionTab.setName("DescriptionTab");
-      FormLayout formlayout1 = new FormLayout("FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE","CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE");
-      CellConstraints cc = new CellConstraints();
-      DescriptionTab.setLayout(formlayout1);
-
-      txtDescription.setName("txtDescription");
-      txtDescription.setRows(4);
-      txtDescription.setSelectionEnd(74);
-      txtDescription.setSelectionStart(74);
-      txtDescription.setText("Aqui vendria la informacion que tiene la descripcion del CRS del catalogo.");
-      JScrollPane jscrollpane1 = new JScrollPane();
-      jscrollpane1.setViewportView(txtDescription);
-      jscrollpane1.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
-      jscrollpane1.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
-      DescriptionTab.add(jscrollpane1,cc.xy(2,2));
-
-      addFillComponents(DescriptionTab,new int[]{ 1,2,3 },new int[]{ 1,2,3 });
-      return DescriptionTab;
-   }
-
-   public JPanel createWktTab()
-   {
-      WktTab.setName("WktTab");
-      FormLayout formlayout1 = new FormLayout("FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE","CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE");
-      CellConstraints cc = new CellConstraints();
-      WktTab.setLayout(formlayout1);
-
-      txtCrsWkt.setLineWrap(true);
-      txtCrsWkt.setName("txtCrsWkt");
-      txtCrsWkt.setRows(4);
-      JScrollPane jscrollpane1 = new JScrollPane();
-      jscrollpane1.setViewportView(txtCrsWkt);
-      jscrollpane1.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
-      jscrollpane1.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
-      WktTab.add(jscrollpane1,cc.xy(2,2));
-
-      addFillComponents(WktTab,new int[]{ 1,2,3 },new int[]{ 1,2,3 });
-      return WktTab;
-   }
-
    /**
     * Initializer
     */