Index: org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.mainplugin/pom.xml
===================================================================
--- org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.mainplugin/pom.xml	(revision 927)
+++ org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.mainplugin/pom.xml	(revision 928)
@@ -7,7 +7,7 @@
  	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.projection.app.jcrs</artifactId>
-		<version>2.1.102-SNAPSHOT</version>
+		<version>2.1.102</version>
 	</parent>
 
   <dependencies>
Index: org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.common/pom.xml
===================================================================
--- org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.common/pom.xml	(revision 927)
+++ org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.common/pom.xml	(revision 928)
@@ -17,7 +17,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.projection.app.jcrs</artifactId>
-        <version>2.1.102-SNAPSHOT</version>
+        <version>2.1.102</version>
     </parent>
 
     <properties>
Index: org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/org.gvsig.projection.app.jcrs/pom.xml
===================================================================
--- org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/org.gvsig.projection.app.jcrs/pom.xml	(revision 927)
+++ org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/org.gvsig.projection.app.jcrs/pom.xml	(revision 928)
@@ -18,7 +18,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.projection.jcrs</artifactId>
-      <version>2.1.102-SNAPSHOT</version>
+      <version>2.1.102</version>
   </parent>
 
   <properties>
Index: org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/org.gvsig.projection.jcrs.lib/pom.xml
===================================================================
--- org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/org.gvsig.projection.jcrs.lib/pom.xml	(revision 927)
+++ org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/org.gvsig.projection.jcrs.lib/pom.xml	(revision 928)
@@ -8,7 +8,7 @@
     <parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.projection.jcrs</artifactId>
-		<version>2.1.102-SNAPSHOT</version>
+		<version>2.1.102</version>
 	</parent>
 
     <dependencies>
Index: org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/pom.xml
===================================================================
--- org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/pom.xml	(revision 927)
+++ org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/pom.xml	(revision 928)
@@ -4,7 +4,7 @@
     <modelVersion>4.0.0</modelVersion>
     <artifactId>org.gvsig.projection.jcrs</artifactId>
     <packaging>pom</packaging>
-    <version>2.1.102-SNAPSHOT</version>
+    <version>2.1.102</version>
     <name>${project.artifactId}</name>
     <parent>
         <groupId>org.gvsig</groupId>
@@ -17,9 +17,9 @@
     </description>
 
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-jcrs/org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-jcrs/org.gvsig.projection.jcrs/trunk/org.gvsig.projection.jcrs/</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-jcrs/repository/show/org.gvsig.projection.jcrs</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-jcrs/org.gvsig.projection.jcrs/tags/org.gvsig.projection.jcrs-2.1.102</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-jcrs/org.gvsig.projection.jcrs/tags/org.gvsig.projection.jcrs-2.1.102</developerConnection>
+        <url>scm:svn:https://devel.gvsig.org/svn/gvsig-jcrs/org.gvsig.projection.jcrs/tags/org.gvsig.projection.jcrs-2.1.102</url>
     </scm>
 
     <repositories>
@@ -87,22 +87,22 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.projection.jcrs.lib</artifactId>
-                <version>2.1.102-SNAPSHOT</version>
+                <version>2.1.102</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.projection.app.jcrs</artifactId>
-                <version>2.1.102-SNAPSHOT</version>
+                <version>2.1.102</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.projection.app.jcrs.common</artifactId>
-                <version>2.1.102-SNAPSHOT</version>
+                <version>2.1.102</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.projection.app.jcrs.common</artifactId>
-                <version>2.1.102-SNAPSHOT</version>
+                <version>2.1.102</version>
                 <type>zip</type>
             </dependency>
             <dependency>