Index: org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.app/org.gvsig.gpe.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.app/org.gvsig.gpe.app.mainplugin/pom.xml	(revision 1022)
+++ org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.app/org.gvsig.gpe.app.mainplugin/pom.xml	(revision 1023)
@@ -9,7 +9,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.gpe.app</artifactId>
-    <version>2.1.98-SNAPSHOT</version>
+    <version>2.1.98</version>
   </parent>
 
   <dependencies>
Index: org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.app/pom.xml
===================================================================
--- org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.app/pom.xml	(revision 1022)
+++ org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.app/pom.xml	(revision 1023)
@@ -10,7 +10,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.gpe</artifactId>
-      <version>2.1.98-SNAPSHOT</version>
+      <version>2.1.98</version>
   </parent>
     
   <modules>
Index: org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.exportto/org.gvsig.gpe.exportto.kml/pom.xml
===================================================================
--- org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.exportto/org.gvsig.gpe.exportto.kml/pom.xml	(revision 1022)
+++ org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.exportto/org.gvsig.gpe.exportto.kml/pom.xml	(revision 1023)
@@ -8,7 +8,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.gpe.exportto</artifactId>
-        <version>2.1.98-SNAPSHOT</version>
+        <version>2.1.98</version>
     </parent>
 
     <dependencies>
Index: org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.exportto/pom.xml
===================================================================
--- org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.exportto/pom.xml	(revision 1022)
+++ org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.exportto/pom.xml	(revision 1023)
@@ -8,7 +8,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.gpe</artifactId>
-      <version>2.1.98-SNAPSHOT</version>
+      <version>2.1.98</version>
   </parent>
   
 
Index: org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.exportto/org.gvsig.gpe.exportto.generic/pom.xml
===================================================================
--- org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.exportto/org.gvsig.gpe.exportto.generic/pom.xml	(revision 1022)
+++ org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.exportto/org.gvsig.gpe.exportto.generic/pom.xml	(revision 1023)
@@ -8,7 +8,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.gpe.exportto</artifactId>
-    <version>2.1.98-SNAPSHOT</version>
+    <version>2.1.98</version>
   </parent>
 
   <dependencies>
Index: org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.lib/org.gvsig.gpe.lib.spi/pom.xml
===================================================================
--- org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.lib/org.gvsig.gpe.lib.spi/pom.xml	(revision 1022)
+++ org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.lib/org.gvsig.gpe.lib.spi/pom.xml	(revision 1023)
@@ -8,13 +8,13 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.gpe.lib</artifactId>
-		<version>2.1.98-SNAPSHOT</version>				
+		<version>2.1.98</version>				
 	</parent>
 	<dependencies>
 		<dependency>
 			<groupId>org.gvsig</groupId>
 			<artifactId>org.gvsig.gpe.lib.api</artifactId>	
-			<version>2.1.98-SNAPSHOT</version>		
+			<version>2.1.98</version>		
 		</dependency>		
 	</dependencies>
 </project>
Index: org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.lib/org.gvsig.gpe.lib.impl/pom.xml
===================================================================
--- org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.lib/org.gvsig.gpe.lib.impl/pom.xml	(revision 1022)
+++ org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.lib/org.gvsig.gpe.lib.impl/pom.xml	(revision 1023)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.gpe.lib</artifactId>	
-		<version>2.1.98-SNAPSHOT</version>		
+		<version>2.1.98</version>		
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.lib/pom.xml
===================================================================
--- org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.lib/pom.xml	(revision 1022)
+++ org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.lib/pom.xml	(revision 1023)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.gpe</artifactId>	
-		<version>2.1.98-SNAPSHOT</version>	
+		<version>2.1.98</version>	
 	</parent>
 	<modules>	
 		<module>org.gvsig.gpe.lib.api</module>
Index: org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.lib/org.gvsig.gpe.lib.api/pom.xml
===================================================================
--- org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.lib/org.gvsig.gpe.lib.api/pom.xml	(revision 1022)
+++ org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.lib/org.gvsig.gpe.lib.api/pom.xml	(revision 1023)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.gpe.lib</artifactId>
-		<version>2.1.98-SNAPSHOT</version>		
+		<version>2.1.98</version>		
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.prov/org.gvsig.gpe.prov.gml/pom.xml
===================================================================
--- org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.prov/org.gvsig.gpe.prov.gml/pom.xml	(revision 1022)
+++ org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.prov/org.gvsig.gpe.prov.gml/pom.xml	(revision 1023)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.gpe.prov</artifactId>
-		<version>2.1.98-SNAPSHOT</version>
+		<version>2.1.98</version>
 	</parent>
 	<dependencies>
 	
Index: org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.prov/org.gvsig.gpe.prov.xml/pom.xml
===================================================================
--- org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.prov/org.gvsig.gpe.prov.xml/pom.xml	(revision 1022)
+++ org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.prov/org.gvsig.gpe.prov.xml/pom.xml	(revision 1023)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.gpe.prov</artifactId>
-		<version>2.1.98-SNAPSHOT</version>				
+		<version>2.1.98</version>				
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.prov/org.gvsig.gpe.prov.kml/pom.xml
===================================================================
--- org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.prov/org.gvsig.gpe.prov.kml/pom.xml	(revision 1022)
+++ org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.prov/org.gvsig.gpe.prov.kml/pom.xml	(revision 1023)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.gpe.prov</artifactId>
-		<version>2.1.98-SNAPSHOT</version>				
+		<version>2.1.98</version>				
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.prov/pom.xml
===================================================================
--- org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.prov/pom.xml	(revision 1022)
+++ org.gvsig.gpe/library/trunk/org.gvsig.gpe/org.gvsig.gpe.prov/pom.xml	(revision 1023)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.gpe</artifactId>		
-		<version>2.1.98-SNAPSHOT</version>
+		<version>2.1.98</version>
 	</parent>		
 	
 	<build>
Index: org.gvsig.gpe/library/trunk/org.gvsig.gpe/pom.xml
===================================================================
--- org.gvsig.gpe/library/trunk/org.gvsig.gpe/pom.xml	(revision 1022)
+++ org.gvsig.gpe/library/trunk/org.gvsig.gpe/pom.xml	(revision 1023)
@@ -3,7 +3,7 @@
   <modelVersion>4.0.0</modelVersion>
   <artifactId>org.gvsig.gpe</artifactId>
   <packaging>pom</packaging>
-  <version>2.1.98-SNAPSHOT</version>
+  <version>2.1.98</version>
   <description>Generic Persistence Engine</description>
   <url>http://devel.gvsig.org/sites/org.gvsig.gpe/${project.version}</url>
   <name>${project.artifactId}</name>
@@ -15,9 +15,9 @@
   </parent>
 
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-gpe/org.gvsig.gpe/library/trunk/org.gvsig.gpe</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-gpe/org.gvsig.gpe/library/trunk/org.gvsig.gpe</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-gpe/repository/show/org.gvsig.gpe/library/trunk/org.gvsig.gpe</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-gpe/org.gvsig.gpe/library/tags/org.gvsig.gpe-2.1.98</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-gpe/org.gvsig.gpe/library/tags/org.gvsig.gpe-2.1.98</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-gpe/repository/show/org.gvsig.gpe/library/tags/org.gvsig.gpe-2.1.98</url>
     </scm>
     <repositories>
       <repository>
@@ -57,48 +57,48 @@
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.gpe.lib.api</artifactId>
-        <version>2.1.98-SNAPSHOT</version>
+        <version>2.1.98</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.gpe.lib.spi</artifactId>
-        <version>2.1.98-SNAPSHOT</version>
+        <version>2.1.98</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.gpe.lib.impl</artifactId>
-        <version>2.1.98-SNAPSHOT</version>
+        <version>2.1.98</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.gpe.prov.xml</artifactId>
-        <version>2.1.98-SNAPSHOT</version>
+        <version>2.1.98</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.gpe.lib.impl</artifactId>
-        <version>2.1.98-SNAPSHOT</version>
+        <version>2.1.98</version>
         <classifier>tests</classifier>
       </dependency>
     <dependency>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.gpe.exportto.kml</artifactId>
-      <version>2.1.98-SNAPSHOT</version>
+      <version>2.1.98</version>
     </dependency>
     <dependency>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.gpe.exportto.generic</artifactId>
-      <version>2.1.98-SNAPSHOT</version>
+      <version>2.1.98</version>
     </dependency>
     <dependency>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.gpe.prov.gml</artifactId>
-      <version>2.1.98-SNAPSHOT</version>
+      <version>2.1.98</version>
     </dependency>
     <dependency>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.gpe.prov.kml</artifactId>
-      <version>2.1.98-SNAPSHOT</version>
+      <version>2.1.98</version>
     </dependency>
     <dependency>
       <groupId>org.gvsig</groupId>